package com.xhkjedu.sapi.model.notice;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

@Table(name = "t_notice_user")
@Data
public class TNoticeUser extends BaseBean {
    @Id
    //通知用户表
    private Integer nuid;

    //通知id
    private Integer noticeid;

    //用户id
    private Integer userid;

    //是否查看0未查看1已查看
    private Integer readed;

    //查看时间
    private Integer readtime;

    //年级id
    private Integer gradeid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //创建时间
    private Integer createtime;

    @Transient
    //用户姓名
    private String username;

    @Transient
    //通知对象1班级2老师3单个学生
    private Integer noticetype;
}
